Change 1247: Move lxd check to installation start 59/1259/3
authorJokin Garay <jokin.garay@keynetic.es>
Thu, 9 Mar 2017 13:51:48 +0000 (14:51 +0100)
committergarciadeblas <gerardo.garciadeblas@telefonica.com>
Wed, 15 Mar 2017 17:30:20 +0000 (18:30 +0100)
Change-Id: I2ca825c7b80f0641e3c3c49541da9561c39c206d
Signed-off-by: Jokin Garay <jokin.garay@keynetic.es>
installers/install_from_source.sh

index 80790c4..02d9e05 100755 (executable)
@@ -245,9 +245,6 @@ if [ -z "$TEST_INSTALLER" ]; then
     RC_CLONE=$?
 fi
 
-echo -e "Checking required packages: lxd"
-lxd --version &>/dev/null || echo -e "lxd not present, exiting " >&2 && exit 1
-
 echo -e "\nGuessing the current stable release"
 LATEST_STABLE_DEVOPS=`git -C $TEMPDIR tag -l v[0-9].* | tail -n1`
 [ -z "$COMMIT_ID" ] && [ -z "$LATEST_STABLE_DEVOPS" ] && echo "Could not find the current latest stable release" && exit 0
@@ -282,6 +279,9 @@ if [ -z "$ASSUME_YES" ]; then
         [ "$USER_CONFIRMATION" != "y" ] && echo "Cancelled!" && exit 0
 fi
 
+echo -e "Checking required packages: lxd"
+lxd --version &>/dev/null || echo -e "lxd not present, exiting " >&2 && exit 1
+
 [ -z "$COMMIT_ID" ] && [ -n "$LATEST_STABLE_DEVOPS" ] && COMMIT_ID="tags/$LATEST_STABLE_DEVOPS"
 echo -e "\n Installing OSM from refspec: $COMMIT_ID"